import { Module, forwardRef } from '@nestjs/common';
import { AuthService } from './auth.service';
import { AuthController } from './auth.controller';
import { JwtModule } from '@nestjs/jwt';  
import { PassportModule } from '@nestjs/passport';
import { UserModule } from '../user/user.module';
//import { UserService } from 'src/user/user.service';
//import { JwtStrategy } from './jwt.strategy';
import { RolesGuard } from './role.guard';

@Module({
  imports: [
    //  PassportModule,
    JwtModule.register({
      secret: 'secretKey',
      signOptions: { expiresIn: '1h' }, 
    }),
    forwardRef(() => UserModule),
  ],
  providers: [AuthService, RolesGuard],
  controllers: [AuthController],
  exports: [JwtModule, AuthService, RolesGuard],
})
export class AuthModule {}
